# SolrCollapseFunction::setSize

(PECL solr >= 2.2.0)

SolrCollapseFunction::setSize — Sets the initial size of the collapse data structures when collapsing on a numeric field only

### Description

public SolrCollapseFunction::setSize ( int `$size` ) : SolrCollapseFunction

Sets the initial size of the collapse data structures when collapsing on a numeric field only.

### Parameters

`size`

### Return Values

SolrCollapseFunction